## circuit-macros 9.1.2

=== examples/Makefile ===
# Examples Makefile
#
# Type "make" to generate examples.pdf containing many examples.
# Type "make clean; make examples.ps" to invoke latex intead of pdflatex.
# Type "make <diag>.ps" to make a postscript file from <diag>.m4
#  It may be necessary to type "make clean" before this or any of the following:
# Type "make <diag>.eps" to make an .eps file from <diag>.m4
#   The following require ImageMagick convert:
# Type "make <diag>.png" to make a .png file from <diag>.m4
# Type "make <diag>.tif" to make a .tif file from <diag>.m4
# Type "make <diag>.svg" to make a .svg file from <diag>.m4
#       See also: the svg subdirectory for generating svg directly.
#
# To test the file test.m4, type "make tst" if boxdims is used, otherwise
# type "make tst1".  In either case the file tst.ps is created.
#
# To debug a single diagram in a directory other than this examples
# directory, copy this makefile and tst.tex to where you want to work,
# redefine LIBDIR (below) appropriately, and type "make <diag>.xxx"
# where xxx is one of ps, eps, png, or pdf

#########################################################################

# Circuit_macro directory, change this if necessary:
# LIBDIR = $$HOME/lib
LIBDIR = ..

# The dpic processor:
PIC = dpic
#PIC = $$HOME/dpic/bu*/p2c/ftp/dpic -p
#PIC = /cygdrive/d/Dwight/dpic/p2c/Windows/dpic -p
#PIC = dpic -1 -p
#PIC = $$HOME/dpic/build/test/dpic -p
#PIC = $$HOME/tmp/dpic -p
#PIC = $$HOME/dpic/bison/dpic -p
#PIC = $$HOME/dpic/bdev/dpic -p

CONFIGFILE = pstricks.m4

# This is for testing the mingw version of dpic:
#CUSTOM=windows.m4

# Uncomment for gpic.  Use gpic or pic as applicable on your machine:
# PIC = gpic -t
# PIC = pic -t
# CONFIGFILE = gpic.m4

# Convert options
EPSOPTS =
PNGOPTS = -quiet -density 400 -scale 25% -alpha Remove

# M4 = m4 -B32000
# M4 = m4 -I $(LIBDIR)
# If environment variable M4PATH has been set to the installation directory:
M4 = m4

#########################################################################

DOC = examples
PICS = \
  Adder.tex Alogix.tex ABlogix.tex AmpTable.tex Antennas.tex Audio.tex \
  Bip.tex Btree.tex Byte.tex Buttons.tex \
  CanLogic.tex CctTable.tex Conn.tex Counting.tex Crossbar.tex Crow.tex \
  Csource.tex \
  Decoder.tex Demultiplexer.tex Dini.tex Diodes.tex Drive.tex \
  Emarrows.tex Flow.tex Fuses.tex GrayCode.tex Grounds.tex \
  Headers.tex Heathkit.tex \
  I2L.tex Incleps.tex Jack.tex \
  Logic.tex Loglog.tex MC.tex Mixer.tex MotorControl.tex Multiplexer.tex \
  NLG.tex NPDT.tex Nport.tex \
  Opamp.tex Optoiso.tex Pconn.tex PushPull.tex \
  Quantum.tex Rectifiers.tex Relay.tex Rotbox.tex \
  Schottky.tex ShiftR.tex Sierpinski.tex Sixpole.tex Sources.tex SQUID.tex \
  Switches.tex \
  TTLnand.tex Tgate.tex Three.tex Timer.tex Ttree.tex Tubediags.tex \
  Variable.tex Windings.tex Xform.tex \
  control.tex csc.tex diamond.tex \
  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex \
  ex08.tex ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex \
  ex16.tex ex17.tex ex18.tex ex21.tex exp.tex fet.tex \
  graysurf.tex lcct.tex pwrsupply.tex quick.tex \
  random.tex recycle.tex rose.tex \
  sfg.tex shapes.tex thyristor.tex ujt.tex worm.tex XOR.tex

# From the doc directory:
MANFIGS = AmpTable Antennas Audio Bip CctTable Conn Demultiplexer Diodes \
  Emarrows Fuses \
  Grounds Headers Jack Logic Multiplexer NLG NPDT Nport Opamp Pconn \
  Relay ShiftR Sources Switches \
  Tgate Variable Windings Xform fet quick thyristor ujt

# Files that have to be processed twice:
BOXDIMS = ex09 Crow Incleps Loglog Opamp random Ttree Windings

DVIPSOPTS = -Ppdf -G0 -t letter
M4LIBS = $(CONFIGFILE) $(CUSTOM)
DIMFILE = $(DOC).dim
BS = tr '|' '\134'

# Might be needed (change latex commands to $(LTX) )
# LTX = latex --shell-escape

.SUFFIXES: .ps .dvi .tex .m4 .pic .eps .png .pdf .svg .tif .gif
.dvi.ps:
	dvips $(DVIPSOPTS) $* -o $*.ps
	chmod 644 $*.ps
.m4.tex:
	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi ; touch F_$*.dim
	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' > $*.pic
	$(PIC) $*.pic > $*.tex
#	grep Production dpic.log >> newp.txt
.m4.pic:
	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi
	$(M4) $(M4LIBS) $(DIMFILE) $*.m4 > $*.pic
.m4.dvi:
	make $*.tex
	printf "|documentclass[11pt]{article}\n\
|usepackage{times,pstricks,boxdims,graphicx,pst-grad,pst-slpe}\n\
|usepackage[amssymb,Gray,thinqspace,textstyle]{SIunits}\n\
|setlength{|textwidth}{28cm}|setlength{|textheight}{28cm}\n\
|setlength{|oddsidemargin}{0pt}|setlength{|evensidemargin}{0pt}\n\
|setlength{|hoffset}{-1cm}\n\
|pagestyle{empty}|thispagestyle{empty}\n\
|newbox|graph\n\
|begin{document}\n\
|noindent|input{"$*".tex}\n\
|end{document}\n" | $(BS) > F_$*.tex
	latex F_$*
	touch F_$*.dim $(DIMFILE) ; rm -f $*.tex $*.pic ; make $*.tex 
	latex F_$*
	touch F_$*.dim $(DIMFILE) ; rm -f $*.tex $*.pic ; make $*.tex 
	latex F_$*
.m4.eps:
	make $*.dvi
	dvips -Ppdf F_$* -T128cm,28cm -o $*.ps
# Recent changes to PSTricks(?) have clashed with the use of TeXtoEPS
#  so use ps2epsi
	ps2epsi $*.ps $*.epsi
	sed -e '/%%Pages:/d' -e '/BeginPreview/,$$d' $*.epsi \
     | tr '\015' '\012' > $*.eps
	sed -e '1,/EndPreview/d' $*.epsi >> $*.eps
.m4.ps:
	make $*.tex && mv $*.tex test.tex; latex tst
	rm -f test.tex $*.pic
	if test -f tst.dim ; then cp tst.dim F_$*.dim ; fi
	make $*.tex && mv $*.tex test.tex; latex tst
	dvips $(DVIPSOPTS) tst -o $*.ps
	chmod 644 $*.ps
.m4.svg:
	make $*.eps
	convert $(EPSOPTS) $*.eps $*.svg
.m4.png:
	make $*.eps
	convert $(PNGOPTS) $*.eps $*.png
	@if test -f $*.png.0 ; then mv $*.png.0 $*.png ; fi
.m4.gif:
	make $*.ps
	convert $(GIFOPTS) $*.ps $*.gif
#	@if test -f $*.png.0 ; then mv $*.png.0 $*.png ; fi
.m4.tif:
	make $*.eps
	convert $(EPSOPTS) $*.eps $*.tif
	@if test -f $*.tif.0 ; then mv $*.tif.0 $*.tif ; fi
.m4.pdf:
	touch F_$*.dim
	$(M4) pgf.m4 F_$*.dim $*.m4 > $*.pic
	$(PIC) -g $*.pic > test.tex
	sed -e '/^\\usepackage.*graphicx/s/^.*$$/\\usepackage{tikz}/' \
     -e '/pstricks/d' tst.tex > F_$*.tex
	pdflatex F_$*
	$(M4) pgf.m4 F_$*.dim $*.m4 > $*.pic
	$(PIC) -g $*.pic > test.tex
	pdflatex F_$*
	mv F_$*.pdf $*.pdf

#########################################################################

$(DOC).pdf: clean pdfmode $(DOC).frp
	touch $(DOC).dim
	for file in $(BOXDIMS) ; do \
      rm -f $$file.tex $$file.pic ; \
      make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim $${file}.tex ; \
      done
	pdflatex $(DOC)
	for file in $(BOXDIMS) ; do \
      rm -f $$file.tex $$file.pic ; \
      make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim $${file}.tex ; \
      done
	pdflatex $(DOC)

$(DOC).ps: psmode $(DOC).dvi

psmode:
	printf "|usepackage{pstricks,pst-grad}\n" | $(BS) > mode.tex

pdfmode:
	printf "|usepackage{tikz}\n" | $(BS) > mode.tex

doclinks:
	-for nm in $(MANFIGS) ; do cp $(LIBDIR)/doc/$$nm.m4 . ; done
	touch doclinks

$(DOC).dvi: $(DOC).frs
	touch $(DOC).dim
	for file in $(BOXDIMS) ; do \
      rm -f $$file.tex $$file.pic ; \
      make PIC="$(PIC) -p" DIMFILE=$(DOC).dim $${file}.tex ; done
	latex $(DOC)
	for file in $(BOXDIMS) ; do \
      rm -f $$file.tex $$file.pic ; \
      make PIC="$(PIC) -p" DIMFILE=$(DOC).dim $${file}.tex ; done
	latex $(DOC)

$(DOC).frs: doclinks $(DOC).tex files.tex header.tex psmode
	make $(PICS)
	cp $(LIBDIR)/doc/Version.tex .
	latex $(DOC)
	touch $(DOC).frs
	rm -f $(DOC).dvi

$(DOC).frp: doclinks $(DOC).tex files.tex header.tex pdfmode
	make CONFIGFILE=pgf.m4 PIC="$(PIC) -g" $(PICS)
	cp $(LIBDIR)/doc/Version.tex .
	pdflatex $(DOC)
	rm -f $(DOC).pdf
	touch $(DOC).frp

tst:
	make test.tex; latex tst; rm -f test.tex test.pic
	make DIMFILE=tst.dim test.tex; latex tst
	dvips $(DVIPSOPTS) tst -o tst.ps

tst1: test.tex tst.tex
	latex tst
	dvips $(DVIPSOPTS) tst -o tst.ps

gtst:
	touch test.m4; make PIC="gpic -t" CONFIGFILE="" tst

gtst1:
	touch test.m4; make PIC="gpic -t" CONFIGFILE="" tst1

echopics:
	@echo $(PICS)

clobber:	clean
	rm -f *.ps
	-@for dir in mf mpost pdflatex xfig psfrag pgf svg dev test; \
      do (if test -d $$dir ; then cd $$dir; make clobber; fi) ; done
	rm -f *.warn quick.m4
	rm -rf index.html html basenames *.png* dist zips htmlfiles svgfiles
	rm -rf $(TMP)/Cir* $(ECETMP)/Cir* $(ECEDIR)
	if test -f Incl.pdf ; then \
      mv Incl.pdf Incl.pdx; rm -f *.pdf; mv Incl.pdx Incl.pdf ; fi
	for file in `ls *.tex` ; do \
      nm=`echo $$file | sed -e "s/\(.*\)\.tex/\1/"` ; \
      if test -s $$nm.m4 ; then rm -f $$nm.pic $$nm.tex ; fi ; done
	@if test -f distmakefile ; then make -f distmakefile clobber ; fi

clean:
	@printf "\n examples clean:\n"
	rm -f core examples.pdf boxdims.tar.gz
	rm -f *.dvi *.aux *.log *.toc *.blg *.eps *.tif *.epsi eps *-mfpic*
	rm -f fig*.tex $(PICS) *.roff *.int *.pic gpic.m4 test.tex xxx* *.fig
	rm -f *.dim *.bak *.frs *.frp $(RPICS) rotate.ps tst.ps *.bbl *-pics.ps
	rm -f *.tfm *[0-9]pk *.png *.1 *.gif
	rm -f F_* Version.tex doclinks *stackdump *.ico quick.m4
	for nm in $(MANFIGS) ; do rm -f $$nm.* ; done
	rm -rf distfile distfile.tar.gz mode.tex
	@printf "\n"
	@if test -f distmakefile ; then make -f distmakefile clean ; fi

=== examples/mpost/Makefile ===
# Makefile for the mpost subdirectory
# To test a new file, copy it into test.m4 and type "make tst" or "make tst1"

M4 = m4 mpost.m4
# If the M4PATH environment variable has not been set to include the
# installation directory then change $$HOME/lib to point to the directory,
# and uncomment the following:

# M4 = m4 -I $$HOME/lib mpost.m4

#---------------------------------------------

MKDIM=pwd | sed -e 's%^%=boxdimfile{%' -e 's%/cygdrive/\(.\)/%\1:/%' \
       -e 's%$$%/$(DIMFILE)}%'

# Comment out the following line to produce absolute addresses for .dim files.
MKDIM=printf '=boxdimfile{$(DIMFILE)}\n'

#---------------------------------------------

DOC = examplesmpost
FIGS = Adder.1 Alogix.1 ABlogix.1 Antennas.1 AmpTable.1 Audio.1 \
  Bip.1 Btree.1 Byte.1 Buttons.1 \
  Counting.1 Crossbar.1 Crow.1 Csource.1 CanLogic.1 CctTable.1 Conn.1 \
  Decoder.1 Demultiplexer.1 Dini.1 Diodes.1 Drive.1 \
  Emarrows.1 Flow.1 Fuses.1 \
  GrayCode.1 Grounds.1 Headers.1 Heathkit.1 I2L.1 Inclpdf.1 Jack.1 \
  Logic.1 Loglog.1 MC.1 Mixer.1 MotorControl.1 Multiplexer.1 \
  NLG.1 NPDT.1 Nport.1 \
  Opamp.1 Optoiso.1 Pconn.1 PushPull.1 Quantum.1 \
  Rectifiers.1 Relay.1 Rotbox.1 \
  Schottky.1 Sierpinski.1 ShiftR.1 Sixpole.1 Sources.1 SQUID.1 Switches.1 \
  Tgate.1 Three.1 Timer.1 TTLnand.1 Ttree.1 Tubediags.1 \
  Variable.1 Windings.1 Xform.1 \
  control.1 csc.1 diamond.1 ex00.1 ex01.1 ex02.1 \
  ex03.1 ex04.1 ex05.1 ex06.1 ex08.1 ex09.1 ex10.1 \
  ex11.1 ex12.1 ex15.1 ex16.1 ex17.1 ex18.1 ex21.1 exp.1 \
  fet.1 graysurf.1 lcct.1 pwrsupply.1 quick.1 \
  random.1 recycle.1 rose.1 shapes.1 thyristor.1 sfg.1 ujt.1 worm.1 XOR.1

BOXDIMS = ex09 Crow Inclpdf Loglog Opamp Ttree Windings

# It is advisable to do `make clean' between test examples.
#---------------------------------------------

DPIC = dpic
# DPIC = $$HOME/dpic/test/dpic

MPOST = mpost --tex=latex

TR = | tr '=' '\134'

LATEX = latex
DVIPS = dvips

DIMFILE = tmp.dim

.SUFFIXES: .mp .dvi .ps .m4 .1
.dvi.ps:
	$(DVIPS) $* -o
.tex.dvi:
	$(LATEX) $*
.m4.mp:
	$(M4) $*.m4 | $(DPIC) -s > $*.mp
#	$(M4) $*.m4 $*.pic
#	$(DPIC) -s $*.pic > $*.mp
.m4.1:
	@touch $(DIMFILE) $(DOC).dim
	$(M4) $(DIMFILE) $(DOC).dim $*.m4 > $(DOC).pic
	@(printf 'verbatimtex\n' ;\
     printf '=documentclass[11pt]{article}\n' ;\
     printf '=usepackage{times,boxdims,graphicx}\n' ;\
     printf '=usepackage[amssymb,Gray,thinqspace,textstyle]{SIunits}\n' ;\
    $(MKDIM) ;\
     printf '=begin{document} etex\n' ) $(TR) > $*.mp
#	$(M4) $(DIMFILE) $(DOC).dim $*.m4 | $(DPIC) -s >> $*.mp
	dpic -s $(DOC).pic >> $*.mp
	@printf 'end\n' >> $*.mp
	$(MPOST) $*.mp

$(DOC).ps: $(DOC).dvi
	$(DVIPS) $(DOC) -o

EXL = exlinks
$(DOC).dvi: $(DOC).tex
	-if test "$(DOC)" = "examplesmpost" ; then make exlinks dims; fi
	make $(FIGS)
	$(LATEX) $(DOC)
	-if test -n "$(BOXDIMS)" ; then rm -f dims; \
       for box in $(BOXDIMS) ; do rm -f $$box.1; done; \
       make BOXDIMS="$(BOXDIMS)" dims; $(LATEX) $(DOC); fi

dims:
	-if test -n "$(BOXDIMS)" ; then for box in $(BOXDIMS) ; do \
        make $$box.1; rm -f $$box.1; make $$box.1; done; fi
	touch dims

figs: $(EXL) $(FIGS)

exlinks:
	@echo ""
	@echo 'Ignore "cannot create ... exists" warnings.'
	-@if test ! -f ex11.m4 ; then \
     ls ../*.m4 | sed -e 's/^/ln -s /' -e '/test.m4/d' | sh;\
     fi
	-@if test ! -f AmpTable.m4 ; then \
     ls ../../doc/*.m4 ../*.bb ../*.gz | sed -e 's/^/ln -s /' | sh;\
     fi
	-if test -n "$(EXL)" ; then touch $(EXL) ; fi

clobber: clean

tst:
	rm -f tst.ps tst.dvi test.1 test.mp
	make EXL="" DPIC="$(DPIC)" CONFIGFILE="$(CONFIGFILE)" DOC=tstmpost \
     FIGS=test.1 BOXDIMS=test
	rm -f *.frs

tst1: test.1 tstmpost.tex
	latex tstmpost
	dvips tstmpost

clean:
	rm -f stamp-* $(FIGS) *.pic
	-if /usr/bin/test -f exlinks ; then \
     ls -l *.m4 *.bb *.gz | grep '\->' | \
       sed -e 's/^.* \([^ ][^ ]*\) ->.*$$/rm -f \1/' | sh; fi
	rm -f Incl.eps.bb Incl.eps.gz
	rm -f *.log *.dvi *.ps test.pdf *.aux *.mp *.[0-9] *.[0-9][0-9] *.mpx *.dim
	rm -f core log mpxerr* *links figs.* *.dim dims F_test.*
	rm -f man[0-9]*.pic man[0-9]*.m4 figs.m4 test.1 test.mp test.pic test.tex
	-if test -n "$(BOXDIMS)" ; then for box in $(BOXDIMS) ; do \
      rm -f F_$$box.tex $$box.tex ; done; fi

=== examples/psfrag/Makefile ===
# Makefile for the psfrag subdirectory

# Where the .m4 libraries are installed.  Change if necessary:
LIBDIR = $$HOME/lib

#---------------------------------------------

MKDIM=pwd | sed -e 's%^%=boxdimfile{%' -e 's%/cygdrive/\(.\)/%\1:/%' \
       -e 's%$$%/$(DIMFILE)}%'

# Comment out the following line to produce absolute addresses for .dim files.
MKDIM=printf '=boxdimfile{$(DIMFILE)}\n'

#---------------------------------------------

# The .m4 circuit_macro libraries used for the examples:
M4MACROS = psfrag.m4
M4 = m4 

#---------------------------------------------
DOC = examplespsfrag

FIGS = Adder.eps Alogix.eps ABlogix.eps Antennas.eps Audio.eps AmpTable.eps \
  Bip.eps Btree.eps Byte.eps Buttons.eps \
  CanLogic.eps CctTable.eps Conn.eps Counting.eps Crossbar.eps Crow.eps \
  Decoder.eps Demultiplexer.eps Dini.eps Diodes.eps Drive.eps \
  Csource.eps \
  Emarrows.eps Flow.eps Fuses.eps \
  GrayCode.eps Grounds.eps Headers.eps Heathkit.eps Jack.eps \
  I2L.eps Inclpdf.eps \
  Logic.eps Loglog.eps MC.eps Mixer.eps MotorControl.eps Multiplexer.eps \
  NLG.eps NPDT.eps Nport.eps \
  Opamp.eps Optoiso.eps Pconn.eps PushPull.eps Quantum.eps \
  Rectifiers.eps Relay.eps Rotbox.eps \
  Schottky.eps Sierpinski.eps ShiftR.eps Sixpole.eps Sources.eps SQUID.eps \
  Switches.eps \
  Tgate.eps Three.eps Timer.eps TTLnand.eps Ttree.eps Tubediags.eps \
  Windings.eps Variable.eps Xform.eps XOR.eps \
  control.eps csc.eps diamond.eps \
  ex00.eps ex01.eps ex02.eps ex03.eps ex04.eps \
  ex05.eps ex06.eps ex08.eps ex09.eps ex10.eps ex11.eps ex12.eps \
  ex15.eps ex16.eps ex17.eps ex18.eps ex21.eps exp.eps \
  fet.eps graysurf.eps lcct.eps pwrsupply.eps quick.eps \
  random.eps recycle.eps rose.eps sfg.eps shapes.eps thyristor.eps \
  ujt.eps worm.eps

LOCALFIGS = ex21

# Files using boxdims macros:
BOXDIMS = ex09 Crow Inclpdf Loglog TTLnand Opamp Ttree Windings

# It is advisable to do `make clean' between test examples.
#---------------------------------------------

DPIC = dpic
# DPIC = $$HOME/dpic/test/dpic
# DPIC = $$HOME/dpic/build/p2c/ftp/dpic

TR = | tr '=' '\134'

LATEX = latex --quiet

DIMFILE = tmp.dim

.SUFFIXES: .tex .m4 .eps .ps
.tex.ps:
	$(LATEX) $*
	dvips -Ppdf $*

.m4.eps:
	touch $(DIMFILE)
	$(M4) $(M4MACROS) $(DIMFILE) $*.m4 > $*.pic
	$(DPIC) -f $*.pic > $*.eps
#	$(M4) $(M4MACROS) $(DIMFILE) $*.m4 | $(DPIC) -f >> $*.eps

$(DOC).ps: $(DOC).dvi
	dvips -Ppdf $(DOC)

$(DOC).dvi: $(DOC).tex
	-if test "$(DOC)"="examplespsfrag" ; then make exlinks ;\
    $(MKDIM) $(TR) > setdim.tex; fi
	make $(FIGS) Incl.eps
	$(LATEX) $(DOC)
	-if test -n "$(BOXDIMS)" ; then \
       for box in $(BOXDIMS) ; do rm -f $$box.eps; make $$box.eps ; done; \
       $(LATEX) $(DOC); fi
	-if test -n "$(BOXDIMS)" ; then \
       for box in $(BOXDIMS) ; do rm -f $$box.eps; make $$box.eps ; done; \
       $(LATEX) $(DOC); fi

Incl.eps: ../Incl.eps.gz
	rm -f Incl.eps.gz
	cp ../Incl.eps.gz .
	gunzip Incl.eps.gz

figs: exlinks $(FIGS)

exlinks:
	@echo ""
	@echo 'Ignore "cannot create ... exists" warnings.'
	-@if test ! -f ex11.m4 ; then \
      ls ../*.m4 | sed -e 's/^/ln -s /' -e '/test.m4/d' | sh;\
      ls ../../doc/*.m4 ../*.bb ../*.gz | sed -e 's/^/ln -s /' | sh;\
      fi
	touch exlinks
#	for file in $(LOCALFIGS); do cp $${file}PSF.m4 $${file}.m4 ; done

clobber: clean
	rm -f $(DOC).ps test.m4

tst: tstpsfrag.ps

tstpsfrag.ps: tstpsfrag.dvi
	dvips tstpsfrag

tstpsfrag.dvi: test.eps
	$(LATEX) tstpsfrag

test.eps: test.pic
	$(DPIC) -f test.pic > test.eps

test.pic: test.m4 testlinks
	$(M4) $(M4MACROS) test.m4 > test.pic
	$(DPIC) -f test.pic > test.eps
	$(LATEX) tstpsfrag
	touch tstpsfrag.dim
	$(M4) $(M4MACROS) tstpsfrag.dim test.m4 > test.pic

testlinks:
	for file in ics.m4 FlowchartDefs.m4 ; do ln -s ../$$file ; done
	touch testlinks

clean:
	@printf "\n psfrag clean:\n"
	rm -f stamp-* $(FIGS) *.dvi *.bb *.gz tstpsfrag.ps *.out *.pfg Incl.eps
	-if /usr/bin/test -f exlinks ; then \
     ls -l *.m4 | grep '\->' | \
       sed -e 's/^.* \([^ ][^ ]*\) ->.*$$/rm -f \1/' | sh; rm -f exlinks ; fi
	-if /usr/bin/test -f testlinks ; then \
     ls -l *.m4 | grep '\->' | \
       sed -e 's/^.* \([^ ][^ ]*\) ->.*$$/rm -f \1/' | sh; rm -f testlinks ; fi
	for file in $(LOCALFIGS); do rm -f $${file}.m4 ; done
	rm -f *.log *.ps *.aux *.mp *.[0-9] *.[0-9][0-9] *.mpx *.eps *.dim *.pic
	rm -f core log mpxerr* *links figs.* *.dim dims F_test.* setdim.tex
	rm -f man[0-9]*.pic man[0-9]*.m4 figs.m4 test.1 test.mp test.pic test.tex
	-if test -n "$(BOXDIMS)" ; then for box in $(BOXDIMS) ; do \
      rm -f F_$$box.tex $$box.tex ; done; fi
	@printf "\n"

=== examples/svg/Makefile ===
LIBDIR = $$HOME/lib
M4LIBS = svg.m4 SVGconfig.m4

# To process a single file, copy it to test.m4 and type "make tst"
# to produce tstSVG.html

DPIC = dpic
#DPIC = $$HOME/dpic/bu*/p2c/ftp/dpic
#DPIC = $$HOME/dpic/bu*/test/dpic
#DPIC = ../../../dpic/bison/dpic

.SUFFIXES: .pic .svg .m4
.pic.svg:
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz
.m4.svg:
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz

CCTSVG = \
 AdderSVG.svg AlogixSVG.svg ABlogixSVG.svg AmpTableSVG.svg AntennasSVG.svg \
 AudioSVG.svg \
 BipSVG.svg BtreeSVG.svg ByteSVG.svg ButtonsSVG.svg \
 CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg CountingSVG.svg CrossbarSVG.svg \
 CrowSVG.svg CrullerSVG.svg CsourceSVG.svg \
 DecoderSVG.svg DemultiplexerSVG.svg DiniSVG.svg DiodesSVG.svg DriveSVG.svg \
 EmarrowsSVG.svg \
 FlowSVG.svg FontsSVG.svg FusesSVG.svg GrayCodeSVG.svg GroundsSVG.svg \
 HeadersSVG.svg HeathkitSVG.svg InclepsSVG.svg I2LSVG.svg JackSVG.svg \
 LogicSVG.svg LoglogSVG.svg \
 MCSVG.svg MixerSVG.svg MotorControlSVG.svg MultiplexerSVG.svg \
 NLGSVG.svg NPDTSVG.svg NportSVG.svg OpampSVG.svg OptoisoSVG.svg \
 PconnSVG.svg PushPullSVG.svg QuantumSVG.svg \
 RectifiersSVG.svg RelaySVG.svg RotboxSVG.svg\
 SchottkySVG.svg ShiftRSVG.svg SierpinskiSVG.svg \
 SixpoleSVG.svg SourcesSVG.svg SQUIDSVG.svg SwitchesSVG.svg \
 TTLnandSVG.svg TgateSVG.svg TtreeSVG.svg ThreeSVG.svg TimerSVG.svg \
 TubediagsSVG.svg VariableSVG.svg WindingsSVG.svg XformSVG.svg \
 controlSVG.svg cscSVG.svg diamondSVG.svg ex00SVG.svg \
 ex01SVG.svg ex02SVG.svg ex03SVG.svg ex04SVG.svg ex05SVG.svg ex06SVG.svg \
 ex08SVG.svg ex09SVG.svg ex10SVG.svg ex11SVG.svg ex12SVG.svg \
 ex15SVG.svg ex16SVG.svg ex17SVG.svg ex18SVG.svg ex21SVG.svg \
 expSVG.svg fetSVG.svg graysurfSVG.svg lcctSVG.svg \
 pwrsupplySVG.svg quickSVG.svg randomSVG.svg recycleSVG.svg roseSVG.svg \
 sfgSVG.svg shapesSVG.svg paletteSVG.svg \
 thyristorSVG.svg ujtSVG.svg wormSVG.svg XORSVG.svg Np.svg

examplesSVG.html: examplesSVG.htmx
	make $(CCTSVG)
	Version=`sed -e 's/Version //' $(LIBDIR)/doc/Version.tex` ; \
      sed -e 's/Version XXX/Version '$$Version'/' examplesSVG.htmx \
      | m4 > examplesSVG.html

SED = sed -e '/^\%/d'
TEST = test
tst: $(TEST).pic
	$(DPIC) -v $(TEST).pic > $(TEST).svg
	m4 $(M4LIBS) $(TEST).m4 | $(SED) > $(TEST).pic
	$(DPIC) -v $(TEST).pic > $(TEST).svg
	grep '<\!-- width' $(TEST).svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' \
     > $(TEST).siz
	make tstSVG.html

test.pic:
	m4 $(M4LIBS) test.m4 | $(SED) > test.pic

tstSVG.html: tstSVG.htmx $(TEST).svg
	Version=`sed -e 's/Version //' $(LIBDIR)/doc/Version.tex` ; \
      sed -e 's/Version XXX/Version '$$Version'/' \
          -e 's/XXXXX/'$(TEST)'/g' \
      tstSVG.htmx | m4 > tstSVG.html
#	cp tstSVG.html $(TEST) $$HOME/public_html/svg

xst: Incleps.png

InclepsSVG.svg: InclepsSVG.m4
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	$(DPIC) -v $*.pic > $*.svg

Incleps.png:
	(cd ..; make Incleps.png); cp ../Incleps.png .

clean:
	@printf "\n svg clean:\n"
	rm -f *.svg *.dim *.ps *log *.siz *.pic examplesSVG.html Incleps.png
	rm -f tstSVG.html
	@printf "\n"

clobber: clean
	rm -f test.m4

=== debian/changelog ===
circuit-macros (9.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Add full LPPL text to d/copyright as asked by FTP Master.
  * Update Debian Standards from 4.4.0 to 4.4.1.
  * Set "Rules-Requires-Root" to "no" in d/control.

 -- Aniol Marti <amarti@caliu.cat>  Fri, 29 Nov 2019 20:35:54 +0000

circuit-macros (9.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #923664)

 -- Aniol Marti <amarti@caliu.cat>  Sun, 08 Sep 2019 10:26:13 +0000

=== debian/control ===
Source: circuit-macros
Section: electronics
Priority: optional
Maintainer: Aniol Marti <amarti@caliu.cat>
Build-Depends: debhelper-compat (= 12),
               jdupes
Standards-Version: 4.4.1
Homepage: https://ece.uwaterloo.ca/~aplevich/Circuit_macros
Vcs-Browser: https://salsa.debian.org/debian/circuit-macros
Vcs-Git: https://salsa.debian.org/debian/circuit-macros.git
Rules-Requires-Root: no

Package: circuit-macros
Architecture: all
Depends: ${misc:Depends},
         m4
Recommends: dpic | groff-base
Description: Macros for drawing electric circuits
 Circuit Macros is a set of macros designed by
 Dwight Aplevich for drawing high quality
 electric circuits to include in TeX, LaTeX,
 web or other similar documents.

## circuit-macros 9.1.3

=== doc/Makefile ===
# The installed library directory, change this if necessary:
LIBDIR = ..

DOC = Circuit_macros
DOCSRC = Circuit_macros.tex body.tex defines.tex

PICTEX = \
  AmpTable.tex Antennas.tex Audio.tex Axes.tex \
  Buffer.tex BigResistor.tex Bip.tex \
  CctTable.tex Composite.tex ConfigA.tex ConfigB.tex ConfigC.tex Conn.tex \
  Corners.tex \
  Dac.tex Darlington.tex Demultiplexer.tex Diodes.tex \
  Emarrows.tex FF.tex FlipFlop.tex \
  Flowdiag.tex Fuses.tex Grounds.tex \
  Headers.tex HybridPi.tex Jack.tex \
  Logic.tex Loop.tex Multiplexer.tex NPDT.tex NLG.tex Nport.tex \
  Oblique.tex Opamp.tex Opto.tex \
  ParSeries.tex Pconn.tex Potentiometers.tex Relay.tex \
  Series.tex ShiftR.tex Sinus.tex Sources.tex Switches.tex \
  Taps.tex Tgate.tex Thermal.tex Tline.tex Ttree.tex \
  Variable.tex Xform.tex Windings.tex Workflow.tex \
  bitr.tex bi_trans.tex \
  bistable.tex currents.tex eboxdims.tex fbfilter.tex fet.tex \
  lrarrows.tex mplex.tex oax.tex \
  quick.tex stringdims.tex thyristor.tex ujt.tex woodchips.tex

VERBATIM = BigResistor2.verb eboxdims.verb
BOXDIMS = Antennas.tex bi_trans.tex ConfigA.tex ConfigB.tex ConfigC.tex \
  Corners.tex \
  Dac.tex eboxdims.tex FlipFlop.tex \
  Opamp.tex ParSeries.tex Sinus.tex stringdims.tex Ttree.tex \
  Windings.tex woodchips.tex
# BOXDIMS = $(PICTEX)

LATEX = latex
M4 = m4 -I $(LIBDIR)
# If M4PATH has been set:
M4 = m4

# For gpic
MODE = gpic
PIC = gpic -t
PRE =
POST = ;printf '\\centerline{\\box\\graph}\n'
PST =

# For dpic; comment these to stick with gpic.
MODE = pstricks
PIC = dpic -p
# PIC = $$HOME/dpic/test/dpic -p
# PIC = $$HOME/dpic/p2c/ftp/dpic -p
PRE =
POST =
#POST = ;printf '}%%'
PST = ;printf '\\usepackage{pstricks}\n' >> heading.tex
# PST = ;printf '\\usepackage{tikz}\n' >> heading.tex

SFX = dvi

M4LIBS = $(MODE).m4
.SUFFIXES: .tex .m4
.m4.tex: $*.m4
	touch $(DOC).dim
	$(M4) $(M4LIBS) $(DOC).dim $*.m4 > $*.pic
	($(PRE) $(PIC) $*.pic $(POST)) > $*.tex

CMpdf:
	touch mode.tex
	-if grep -q tikz mode.tex ; then true ; else \
           make clean ; printf "\\usepackage{tikz}\n" > mode.tex ; fi
	make MODE=pgf PIC="dpic -g" LATEX=pdflatex SFX=pdf \
         POST="; printf '\\\\vspace*{-0.5\\\\baselineskip}\\n'" \
         $(DOC).pdf
	chmod 644 $(DOC).pdf
	
$(DOC).ps:
	printf "\n $(DOC).ps:\n\n"
	make MODE=pstricks PIC="dpic -p" LATEX=latex SFX=dvi POST="" $(DOC).dvi
	dvips -t letter $(DOC) -o

$(DOC).$(SFX): mode.tex citations $(PICTEX)
	@printf "\n $(DOC).SFX=$(DOC).$(SFX):\n\n"
	$(LATEX) $(DOC) ; bibtex $(DOC)
    -@if grep -s "Warning: Reference " $(DOC).log ; then \
           @printf "\n Warning:\n\n" ; \
           $(LATEX) $(DOC) ; bibtex $(DOC) ; \
         elif test ! -f $(DOC).$(SFX) ; then\
           @printf "\n No file $(DOC).$(SFX)\n\n" ; \
           $(LATEX) $(DOC) ; bibtex $(DOC) ; fi

citations: mode.tex $(DOC).bbl $(PICTEX)
	@printf "\n citations:\n\n"
	$(LATEX) $(DOC) ; bibtex $(DOC)
	touch citations

$(DOC).bbl: $(DOC).bib $(DOC).aux
	bibtex $(DOC)

$(DOC).aux: mode.tex $(DOCSRC) heading.tex $(VERBATIM) $(PICTEX)
	@printf "\n $(DOC).aux:\n\n"
	$(LATEX) $(DOC) ; bibtex $(DOC)
	rm -f $(BOXDIMS)
	make $(BOXDIMS)

mode.tex:
	-if test "$(MODE)" = "pstricks" ; then \
	printf "\\usepackage{pstricks}\n" > mode.tex ; else \
	printf "\\usepackage{tikz}\n" > mode.tex ; fi

heading.tex:
	printf '\\documentclass{article}\n' > heading.tex
	printf '\\usepackage{verbatim,url}\n' >> heading.tex
	printf '\\usepackage{multicol}\n' >> heading.tex
	printf '\\usepackage{amssymb,boxdims}\n' >> heading.tex $(PST)

oax.tex tran.tex bitr.tex: oax.m4
	$(M4) $(M4LIBS) $*.m4 > $*.pic
	$(PIC) $*.pic > $*.tex

pics: $(PICTEX)

BigResistor2.verb: BigResistor.m4
	( printf '\\begin{verbatim}\n'; \
           sed -n '/thinlines/,/PE/p' BigResistor.m4 ;\
    printf '\\end{verbatim}\n' ) > BigResistor2.verb

eboxdims.verb: eboxdims.m4
	( printf '\\begin{verbatim}\n' ; \
           sed -e '/thinlines/,$$d' eboxdims.m4 ; \
    printf '.PE\n\\end{verbatim}\n' ) > eboxdims.verb

ex08.m4: ../examples/ex08.m4
	cp ../examples/ex08.m4 ex08.m4

clobber: clean
	rm -f *.dvi Circuit_macros.pdf
#	rm -f Circuit_macros.pdf

clean:
	rm -f *.bbl *.log *.aux *.blg *.toc citations *.verb ex08.m4
	rm -f *.pic $(PICTEX) heading.tex *.dim *.uu Circuit_macros.ps
	rm -f mode.tex Circuit_macros.out *.upa *.upb *.brf Circuit_macros.dvi

=== examples/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 LIBDIR = ..
 
 # The dpic processor:
-PIC = dpic
+PIC = dpic -p
 #PIC = $$HOME/dpic/bu*/p2c/ftp/dpic -p
 #PIC = /cygdrive/d/Dwight/dpic/p2c/Windows/dpic -p
 #PIC = dpic -1 -p
@@ -59,6 +59,7 @@
 DOC = examples
 PICS = \
   Adder.tex Alogix.tex ABlogix.tex AmpTable.tex Antennas.tex Audio.tex \
+  AntiqueClock.tex \
   Bip.tex Btree.tex Byte.tex Buttons.tex \
   CanLogic.tex CctTable.tex Conn.tex Counting.tex Crossbar.tex Crow.tex \
   Csource.tex \
@@ -93,6 +94,7 @@
 BOXDIMS = ex09 Crow Incleps Loglog Opamp random Ttree Windings
 
 DVIPSOPTS = -Ppdf -G0 -t letter
+DVIPSOPTS = -G0 -t letter
 M4LIBS = $(CONFIGFILE) $(CUSTOM)
 DIMFILE = $(DOC).dim
 BS = tr '|' '\134'
@@ -132,7 +134,8 @@
 	latex F_$*
 .m4.eps:
 	make $*.dvi
-	dvips -Ppdf F_$* -T128cm,28cm -o $*.ps
+	dvips F_$* -T128cm,28cm -o $*.ps
+#	dvips -Ppdf F_$* -T128cm,28cm -o $*.ps
 # Recent changes to PSTricks(?) have clashed with the use of TeXtoEPS
 #  so use ps2epsi
 	ps2epsi $*.ps $*.epsi

=== examples/mpost/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 DOC = examplesmpost
 FIGS = Adder.1 Alogix.1 ABlogix.1 Antennas.1 AmpTable.1 Audio.1 \
+  AntiqueClock.1 \
   Bip.1 Btree.1 Byte.1 Buttons.1 \
   Counting.1 Crossbar.1 Crow.1 Csource.1 CanLogic.1 CctTable.1 Conn.1 \
   Decoder.1 Demultiplexer.1 Dini.1 Diodes.1 Drive.1 \

=== examples/psfrag/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 DOC = examplespsfrag
 
 FIGS = Adder.eps Alogix.eps ABlogix.eps Antennas.eps Audio.eps AmpTable.eps \
+  AntiqueClock.eps \
   Bip.eps Btree.eps Byte.eps Buttons.eps \
   CanLogic.eps CctTable.eps Conn.eps Counting.eps Crossbar.eps Crow.eps \
   Decoder.eps Demultiplexer.eps Dini.eps Diodes.eps Drive.eps \

=== examples/svg/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 CCTSVG = \
  AdderSVG.svg AlogixSVG.svg ABlogixSVG.svg AmpTableSVG.svg AntennasSVG.svg \
- AudioSVG.svg \
+ AntiqueClockSVG.svg \ AudioSVG.svg \
  BipSVG.svg BtreeSVG.svg ByteSVG.svg ButtonsSVG.svg \
  CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg CountingSVG.svg CrossbarSVG.svg \
  CrowSVG.svg CrullerSVG.svg CsourceSVG.svg \
@@ -54,7 +54,9 @@
 
 SED = sed -e '/^\%/d'
 TEST = test
-tst: $(TEST).pic
+tst:
+	if test -f test.pic; then printf "\n\nUsage: make clean tst\n\n"; exit 1; fi
+	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
 	$(DPIC) -v $(TEST).pic > $(TEST).svg
 	m4 $(M4LIBS) $(TEST).m4 | $(SED) > $(TEST).pic
 	$(DPIC) -v $(TEST).pic > $(TEST).svg
@@ -63,6 +65,7 @@
 	make tstSVG.html
 
 test.pic:
+	if test -f test.pic ; then echo "Usage: make clean tst" ; fi
 	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
 
 tstSVG.html: tstSVG.htmx $(TEST).svg
@@ -73,6 +76,13 @@
 #	cp tstSVG.html $(TEST) $$HOME/public_html/svg
 
 xst: Incleps.png
+
+AntiqueClockSVG.svg:
+	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
+	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
+	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
+	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
+	grep '<\!-- width' AntiqueClockSVG.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > AntiqueClockSVG.siz
 
 InclepsSVG.svg: InclepsSVG.m4
 	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic

=== debian/changelog ===
circuit-macros (9.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Update d/copyright year from 2019 to 2020.

 -- Aniol Marti <amarti@caliu.cat>  Sun, 05 Jan 2020 17:07:31 +0000

circuit-macros (9.1.2-2) unstable; urgency=medium

  * Set "Multi-Arch: foreign".

 -- Aniol Marti <amarti@caliu.cat>  Mon, 30 Dec 2019 07:15:18 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: circuit-macros
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          m4
 Recommends: dpic | groff-base

## circuit-macros 9.2.0

=== debian/changelog ===
circuit-macros (9.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Add upstream information in d/upstream/metadata.
  * Update Debian Standards from 4.4.1 to 4.5.0.

 -- Aniol Marti <amarti@caliu.cat>  Mon, 17 Feb 2020 18:36:12 +0000

## circuit-macros 9.2.1

=== doc/Makefile ===
--- 
+++ 
@@ -5,31 +5,29 @@
 DOCSRC = Circuit_macros.tex body.tex defines.tex
 
 PICTEX = \
-  AmpTable.tex Antennas.tex Audio.tex Axes.tex \
-  Buffer.tex BigResistor.tex Bip.tex \
-  CctTable.tex Composite.tex ConfigA.tex ConfigB.tex ConfigC.tex Conn.tex \
-  Corners.tex \
-  Dac.tex Darlington.tex Demultiplexer.tex Diodes.tex \
-  Emarrows.tex FF.tex FlipFlop.tex \
-  Flowdiag.tex Fuses.tex Grounds.tex \
-  Headers.tex HybridPi.tex Jack.tex \
-  Logic.tex Loop.tex Multiplexer.tex NPDT.tex NLG.tex Nport.tex \
-  Oblique.tex Opamp.tex Opto.tex \
-  ParSeries.tex Pconn.tex Potentiometers.tex Relay.tex \
-  Series.tex ShiftR.tex Sinus.tex Sources.tex Switches.tex \
-  Taps.tex Tgate.tex Thermal.tex Tline.tex Ttree.tex \
-  Variable.tex Xform.tex Windings.tex Workflow.tex \
-  bitr.tex bi_trans.tex \
-  bistable.tex currents.tex eboxdims.tex fbfilter.tex fet.tex \
-  lrarrows.tex mplex.tex oax.tex \
-  quick.tex stringdims.tex thyristor.tex ujt.tex woodchips.tex
+  AmpTableMan.tex AntennasMan.tex AudioMan.tex Axes.tex \
+  Buffer.tex BigResistor.tex BipMan.tex \
+  CctTableMan.tex Composite.tex ConfigA.tex ConfigB.tex ConfigC.tex \
+  ConnMan.tex Corners.tex ContactMan.tex ContactsMan.tex \
+  Dac.tex Darlington.tex DemultiplexerMan.tex DiodesMan.tex \
+  EmarrowsMan.tex FF.tex FlipFlop.tex Flowdiag.tex FusesMan.tex \
+  GroundsMan.tex HeadersMan.tex HybridPi.tex JackMan.tex LogicMan.tex \
+  Loop.tex MultiplexerMan.tex NPDTMan.tex NLGMan.tex NportMan.tex \
+  Oblique.tex OpampMan.tex Opto.tex ParSeries.tex PconnMan.tex \
+  Potentiometers.tex RelayMan.tex relaycoil.tex Series.tex ShiftRMan.tex \
+  Sinus.tex SourcesMan.tex SwitchesMan.tex Taps.tex TgateMan.tex \
+  Thermal.tex Tline.tex Ttree.tex VariableMan.tex XformMan.tex \
+  WindingsMan.tex Workflow.tex bitr.tex bi_trans.tex bistable.tex \
+  currents.tex eboxdims.tex fbfilter.tex fetMan.tex lrarrows.tex \
+  mplex.tex oax.tex quick.tex stringdims.tex thyristorMan.tex ujtMan.tex \
+  woodchips.tex
 
 VERBATIM = BigResistor2.verb eboxdims.verb
-BOXDIMS = Antennas.tex bi_trans.tex ConfigA.tex ConfigB.tex ConfigC.tex \
+BOXDIMS = AntennasMan.tex bi_trans.tex ConfigA.tex ConfigB.tex ConfigC.tex \
   Corners.tex \
   Dac.tex eboxdims.tex FlipFlop.tex \
-  Opamp.tex ParSeries.tex Sinus.tex stringdims.tex Ttree.tex \
-  Windings.tex woodchips.tex
+  OpampMan.tex ParSeries.tex Sinus.tex stringdims.tex Ttree.tex \
+  WindingsMan.tex woodchips.tex
 # BOXDIMS = $(PICTEX)
 
 LATEX = latex
@@ -64,13 +62,15 @@
 	$(M4) $(M4LIBS) $(DOC).dim $*.m4 > $*.pic
 	($(PRE) $(PIC) $*.pic $(POST)) > $*.tex
 
-CMpdf:
+$(DOC).pdf:
 	touch mode.tex
 	-if grep -q tikz mode.tex ; then true ; else \
            make clean ; printf "\\usepackage{tikz}\n" > mode.tex ; fi
 	make MODE=pgf PIC="dpic -g" LATEX=pdflatex SFX=pdf \
          POST="; printf '\\\\vspace*{-0.5\\\\baselineskip}\\n'" \
          $(DOC).pdf
+#  This breaks internal links:
+#	optpdf $(DOC).pdf
 	chmod 644 $(DOC).pdf
 	
 $(DOC).ps:
@@ -134,7 +134,6 @@
 
 clobber: clean
 	rm -f *.dvi Circuit_macros.pdf
-#	rm -f Circuit_macros.pdf
 
 clean:
 	rm -f *.bbl *.log *.aux *.blg *.toc citations *.verb ex08.m4

=== examples/Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 #PIC = /cygdrive/d/Dwight/dpic/p2c/Windows/dpic -p
 #PIC = dpic -1 -p
 #PIC = $$HOME/dpic/build/test/dpic -p
+#PIC = $$HOME/dpic/dev/p2c/ftp/dpic -p
 #PIC = $$HOME/tmp/dpic -p
 #PIC = $$HOME/dpic/bison/dpic -p
 #PIC = $$HOME/dpic/bdev/dpic -p
@@ -58,40 +59,30 @@
 
 DOC = examples
 PICS = \
-  Adder.tex Alogix.tex ABlogix.tex AmpTable.tex Antennas.tex Audio.tex \
-  AntiqueClock.tex \
-  Bip.tex Btree.tex Byte.tex Buttons.tex \
-  CanLogic.tex CctTable.tex Conn.tex Counting.tex Crossbar.tex Crow.tex \
-  Csource.tex \
-  Decoder.tex Demultiplexer.tex Dini.tex Diodes.tex Drive.tex \
-  Emarrows.tex Flow.tex Fuses.tex GrayCode.tex Grounds.tex \
-  Headers.tex Heathkit.tex \
-  I2L.tex Incleps.tex Jack.tex \
-  Logic.tex Loglog.tex MC.tex Mixer.tex MotorControl.tex Multiplexer.tex \
-  NLG.tex NPDT.tex Nport.tex \
-  Opamp.tex Optoiso.tex Pconn.tex PushPull.tex \
-  Quantum.tex Rectifiers.tex Relay.tex Rotbox.tex \
-  Schottky.tex ShiftR.tex Sierpinski.tex Sixpole.tex Sources.tex SQUID.tex \
-  Switches.tex \
-  TTLnand.tex Tgate.tex Three.tex Timer.tex Ttree.tex Tubediags.tex \
-  Variable.tex Windings.tex Xform.tex \
-  control.tex csc.tex diamond.tex \
-  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex \
-  ex08.tex ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex \
-  ex16.tex ex17.tex ex18.tex ex21.tex exp.tex fet.tex \
-  graysurf.tex lcct.tex pwrsupply.tex quick.tex \
-  random.tex recycle.tex rose.tex \
-  sfg.tex shapes.tex thyristor.tex ujt.tex worm.tex XOR.tex
-
-# From the doc directory:
-MANFIGS = AmpTable Antennas Audio Bip CctTable Conn Demultiplexer Diodes \
-  Emarrows Fuses \
-  Grounds Headers Jack Logic Multiplexer NLG NPDT Nport Opamp Pconn \
-  Relay ShiftR Sources Switches \
-  Tgate Variable Windings Xform fet quick thyristor ujt
+  ABlogix.tex Adder.tex Alogix.tex AmpTable.tex Antennas.tex \
+  AntiqueClock.tex Audio.tex Bip.tex Btree.tex Buttons.tex Byte.tex \
+  CanLogic.tex CctTable.tex Conn.tex Contacts.tex Contact.tex control.tex \
+  Counting.tex Crossbar.tex Crow.tex csc.tex Csource.tex Decoder.tex \
+  Demultiplexer.tex diamond.tex Dini.tex Diodes.tex Drive.tex Emarrows.tex \
+  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex ex08.tex \
+  ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex ex16.tex ex17.tex ex18.tex \
+  ex21.tex exp.tex fet.tex Flow.tex Fuses.tex GrayCode.tex graysurf.tex \
+  Grounds.tex Headers.tex Heathkit.tex I2L.tex Incleps.tex Jack.tex \
+  lcct.tex Logic.tex Loglog.tex MC.tex Mixer.tex MotorControl.tex \
+  Multiplexer.tex NLG.tex NPDT.tex Nport.tex Opamp.tex Optoiso.tex \
+  Pconn.tex PushPull.tex pwrsupply.tex Quantum.tex quick.tex random.tex \
+  Rectifiers.tex recycle.tex relaycoil.tex Relay.tex rose.tex Rotbox.tex \
+  Schottky.tex sfg.tex shapes.tex ShiftR.tex Sierpinski.tex Sixpole.tex \
+  Sources.tex SQUID.tex Switches.tex \
+  Tgate.tex Three.tex thyristor.tex Timer.tex \
+  TTLnand.tex Ttree.tex Tubediags.tex ujt.tex Variable.tex Windings.tex \
+  worm.tex Xform.tex XOR.tex
 
 # Files that have to be processed twice:
-BOXDIMS = ex09 Crow Incleps Loglog Opamp random Ttree Windings
+BOXDIMS = ex09.tex Crow.tex Incleps.tex Loglog.tex Opamp.tex random.tex \
+ Ttree.tex Windings.tex
+BOXPICS = ex09.pic Crow.pic Incleps.pic Loglog.pic Opamp.pic random.pic \
+ Ttree.pic Windings.pic
 
 DVIPSOPTS = -Ppdf -G0 -t letter
 DVIPSOPTS = -G0 -t letter
@@ -108,8 +99,10 @@
 	chmod 644 $*.ps
 .m4.tex:
 	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi ; touch F_$*.dim
-	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' > $*.pic
-	$(PIC) $*.pic > $*.tex
+	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' \
+      | $(PIC) > $*.tex
+#	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' > $*.pic
+#	$(PIC) $*.pic > $*.tex
 #	grep Production dpic.log >> newp.txt
 .m4.pic:
 	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi
@@ -180,16 +173,16 @@
 
 $(DOC).pdf: clean pdfmode $(DOC).frp
 	touch $(DOC).dim
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim $${file}.tex ; \
-      done
+	rm -f $(BOXDIMS) $(BOXPICS)
+	make PIC="dpic -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
 	pdflatex $(DOC)
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim $${file}.tex ; \
-      done
+	rm -f $(BOXDIMS) $(BOXPICS)
+	make PIC="dpic -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
 	pdflatex $(DOC)
+	optpdf $(DOC).pdf
+
+pics: $(PICS)
+	touch pics
 
 $(DOC).ps: psmode $(DOC).dvi
 
@@ -199,30 +192,24 @@
 pdfmode:
 	printf "|usepackage{tikz}\n" | $(BS) > mode.tex
 
-doclinks:
-	-for nm in $(MANFIGS) ; do cp $(LIBDIR)/doc/$$nm.m4 . ; done
-	touch doclinks
-
 $(DOC).dvi: $(DOC).frs
 	touch $(DOC).dim
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -p" DIMFILE=$(DOC).dim $${file}.tex ; done
+	for file in $(BOXDIMS) ; do rm -f $$file.tex $$file.pic ; done
+	make PIC="$(PIC)" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
 	latex $(DOC)
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -p" DIMFILE=$(DOC).dim $${file}.tex ; done
+	for file in $(BOXDIMS) ; do rm -f $$file.tex $$file.pic ; done
+	make PIC="$(PIC)" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
 	latex $(DOC)
 
-$(DOC).frs: doclinks $(DOC).tex files.tex header.tex psmode
-	make $(PICS)
+$(DOC).frs: $(DOC).tex files.tex header.tex psmode
+	make PIC="dpic -p" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
 	cp $(LIBDIR)/doc/Version.tex .
 	latex $(DOC)
+	rm -f $(DOC).dvi
 	touch $(DOC).frs
-	rm -f $(DOC).dvi
-
-$(DOC).frp: doclinks $(DOC).tex files.tex header.tex pdfmode
-	make CONFIGFILE=pgf.m4 PIC="$(PIC) -g" $(PICS)
+
+$(DOC).frp: $(DOC).tex files.tex header.tex pdfmode
+	make PIC="dpic -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
 	cp $(LIBDIR)/doc/Version.tex .
 	pdflatex $(DOC)
 	rm -f $(DOC).pdf
@@ -250,7 +237,8 @@
 	rm -f *.ps
 	-@for dir in mf mpost pdflatex xfig psfrag pgf svg dev test; \
       do (if test -d $$dir ; then cd $$dir; make clobber; fi) ; done
-	rm -f *.warn quick.m4
+	rm -f *.warn
+	rm -f examples.pdf
 	rm -rf index.html html basenames *.png* dist zips htmlfiles svgfiles
 	rm -rf $(TMP)/Cir* $(ECETMP)/Cir* $(ECEDIR)
 	if test -f Incl.pdf ; then \
@@ -262,13 +250,12 @@
 
 clean:
 	@printf "\n examples clean:\n"
-	rm -f core examples.pdf boxdims.tar.gz
+	rm -f core boxdims.tar.gz pics
 	rm -f *.dvi *.aux *.log *.toc *.blg *.eps *.tif *.epsi eps *-mfpic*
 	rm -f fig*.tex $(PICS) *.roff *.int *.pic gpic.m4 test.tex xxx* *.fig
 	rm -f *.dim *.bak *.frs *.frp $(RPICS) rotate.ps tst.ps *.bbl *-pics.ps
 	rm -f *.tfm *[0-9]pk *.png *.1 *.gif
-	rm -f F_* Version.tex doclinks *stackdump *.ico quick.m4
-	for nm in $(MANFIGS) ; do rm -f $$nm.* ; done
+	rm -f F_* Version.tex *stackdump *.ico
 	rm -rf distfile distfile.tar.gz mode.tex
 	@printf "\n"
 	@if test -f distmakefile ; then make -f distmakefile clean ; fi

=== examples/mpost/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
   Logic.1 Loglog.1 MC.1 Mixer.1 MotorControl.1 Multiplexer.1 \
   NLG.1 NPDT.1 Nport.1 \
   Opamp.1 Optoiso.1 Pconn.1 PushPull.1 Quantum.1 \
-  Rectifiers.1 Relay.1 Rotbox.1 \
+  Rectifiers.1 Relay.1 relaycoil.1 Rotbox.1 \
   Schottky.1 Sierpinski.1 ShiftR.1 Sixpole.1 Sources.1 SQUID.1 Switches.1 \
   Tgate.1 Three.1 Timer.1 TTLnand.1 Ttree.1 Tubediags.1 \
   Variable.1 Windings.1 Xform.1 \

=== examples/psfrag/Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
   ex05.eps ex06.eps ex08.eps ex09.eps ex10.eps ex11.eps ex12.eps \
   ex15.eps ex16.eps ex17.eps ex18.eps ex21.eps exp.eps \
   fet.eps graysurf.eps lcct.eps pwrsupply.eps quick.eps \
-  random.eps recycle.eps rose.eps sfg.eps shapes.eps thyristor.eps \
-  ujt.eps worm.eps
+  random.eps recycle.eps relaycoil.eps rose.eps sfg.eps shapes.eps \
+  thyristor.eps ujt.eps worm.eps
 
 LOCALFIGS = ex21

=== examples/svg/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 DPIC = dpic
 #DPIC = $$HOME/dpic/bu*/p2c/ftp/dpic
 #DPIC = $$HOME/dpic/bu*/test/dpic
+#DPIC = $$HOME/dpic/dev/p2c/ftp/dpic
 #DPIC = ../../../dpic/bison/dpic
 
 .SUFFIXES: .pic .svg .m4
@@ -22,8 +23,8 @@
  AdderSVG.svg AlogixSVG.svg ABlogixSVG.svg AmpTableSVG.svg AntennasSVG.svg \
  AntiqueClockSVG.svg \ AudioSVG.svg \
  BipSVG.svg BtreeSVG.svg ByteSVG.svg ButtonsSVG.svg \
- CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg CountingSVG.svg CrossbarSVG.svg \
- CrowSVG.svg CrullerSVG.svg CsourceSVG.svg \
+ CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg ContactSVG.svg ContactsSVG.svg \
+ CountingSVG.svg CrossbarSVG.svg CrowSVG.svg CrullerSVG.svg CsourceSVG.svg \
  DecoderSVG.svg DemultiplexerSVG.svg DiniSVG.svg DiodesSVG.svg DriveSVG.svg \
  EmarrowsSVG.svg \
  FlowSVG.svg FontsSVG.svg FusesSVG.svg GrayCodeSVG.svg GroundsSVG.svg \
@@ -42,8 +43,8 @@
  ex08SVG.svg ex09SVG.svg ex10SVG.svg ex11SVG.svg ex12SVG.svg \
  ex15SVG.svg ex16SVG.svg ex17SVG.svg ex18SVG.svg ex21SVG.svg \
  expSVG.svg fetSVG.svg graysurfSVG.svg lcctSVG.svg \
- pwrsupplySVG.svg quickSVG.svg randomSVG.svg recycleSVG.svg roseSVG.svg \
- sfgSVG.svg shapesSVG.svg paletteSVG.svg \
+ pwrsupplySVG.svg quickSVG.svg randomSVG.svg recycleSVG.svg relaycoilSVG.svg \
+ roseSVG.svg sfgSVG.svg shapesSVG.svg paletteSVG.svg \
  thyristorSVG.svg ujtSVG.svg wormSVG.svg XORSVG.svg Np.svg
 
 examplesSVG.html: examplesSVG.htmx

=== debian/changelog ===
circuit-macros (9.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 22 Feb 2020 10:20:58 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aniol Marti <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 12),
                jdupes
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://ece.uwaterloo.ca/~aplevich/Circuit_macros
 Vcs-Browser: https://salsa.debian.org/debian/circuit-macros
 Vcs-Git: https://salsa.debian.org/debian/circuit-macros.git
